POSTGetTransactionById

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/gettransactionbyid

Query transaction information by transaction id.

Request Body
valuestringrequired

Transaction ID (hash). Example: 7c2d4206c03a883dd9066d620335dc1be272a8dc733cfa3f6d10308faa37facc

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
txIDstring

Transaction ID(Hash).

contractRetstring[]

Transaction Execution Results.

signaturestring[]

Transaction signature.

raw_data_hexstring

The transaction's raw data. (Format: hex)

fee_limitinteger (int64)

The transaction's FeeLimit. See here for details. (Unit: sun)

ref_block_bytesstring

The last two bytes of the reference block's number (height), used for transaction validation.

ref_block_hashstring

Bytes 8 to 16 of the reference block's hash, used for transaction validation.

expirationinteger (int64)

Transaction expiration time. (Unit: millisecond)

timestampint64 (int64)

Timestamp. (Unit: millisecond)

X-API-KEY
RequestCU15
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/gettransactionbyid" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "349ab7e2ba7f10687049d02a8138668d14a88888709aa681f7b32d475b0049d4"
}'
Response
Example · 200
{
  "txID": "string",
  "ret": {
    "contractRet": [
      "string"
    ]
  },
  "signature": [
    "string"
  ],
  "raw_data_hex": "string",
  "raw_data": {},
  "fee_limit": 0,
  "ref_block_bytes": "string",
  "ref_block_hash": "string",
  "expiration": 0
}